### Virtual Method

# Camel Medium dup_headers

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    dup_headers (
      CamelMedium* medium
    )

#### Description [src]

Gets an array of all header name/value pairs. The values will be decoded to UTF-8 for any headers that are recognized by Camel. See also camel_medium_get_headers().

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

The array of headers, which must be freed with camel_name_value_array_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.